Gets the Credit Limit for the company
curl --request GET \
--url https://api.creditriskmonitor.com/v1/Business/CreditLimit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditriskmonitor.com/v1/Business/CreditLimit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditriskmonitor.com/v1/Business/CreditLimit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Success": true,
"Data": {
"MaxLimit": 123,
"RecommendedCreditLimit": 123,
"ZScore": 123,
"StockVolatility": 123,
"Leverage": 123,
"LatestStatementDate": "2023-11-07T05:31:56Z",
"Rationale": "<string>",
"AvgTransaction": 123,
"TransactionLimit": 123,
"MaxExpectedLossLimit": 123,
"RiskAppetite": "<string>",
"CostOfCapital": 123,
"GrossMargin": 123,
"ExistingCreditLimit": 123,
"MonitorFlag": "<string>",
"MonitorHi": 123,
"MonitorLo": 123,
"CurrencyCode": "<string>",
"BusinessId": 123,
"PrimaryBusinessName": "<string>"
},
"ErrorCode": "<string>"
}Credit Assessment
View Credit Limits for a Business
Retrieves current credit limit information and related metrics.
GET
/
v1
/
Business
/
CreditLimit
Gets the Credit Limit for the company
Use the Login endpoint to retrieve the
SessionKey, then include it in the Authorization field for authentication.Authorizations
Enter the Session Key with the Bearer prefix, e.g. "Bearer abcde12345".
Query Parameters
BusinessId of the Business to get a Credit Limit for
If you are a Trade Provider you can use your CustomerId to idenfity a Business with the CustomerId parameter.
If you have a Supplier List you can use your SupplierId to identify a Business with the SupplierId parameter.
Was this page helpful?
⌘I